
PYROS - Evolution #4058
Evolution # 4090 (Nouveau): ******************* PYROS SOFTWARE
Evolution # 4093 (Nouveau): ************** (WP) 09.1 – OBSERVATORY CONTROL

******* (M) 09.1.30 - SCHEDULER - PLAN
08/30/2016 06:18 pm - Etienne Pallier

Status: Nouveau Start date: 05/17/2016
Priority: Normal Due date:
Assignee: % Done: 19%
Category: Estimated time: 424.00 hours
Target version: Spent time: 19.00 hours
Description

Subtasks:
Evolution # 4027: Link main page to current scheduler Nouveau
Evolution # 4029: * (F) Give access to old schedules Nouveau
  Evolution # 4196: Keep history of all the past schedules Nouveau
  Evolution # 3703: script installation doit fonctionner correctement pour un update (+ a... Fermé
  Evolution # 3652: Manage history Fermé
  Evolution # 4480: (FT) Tests Nouveau
Evolution # 4188: * (F) Get back list of sequences to be planned Nouveau
Evolution # 4189: * (F) Manage priorities Nouveau
  Evolution # 4035: Priority computing Nouveau
  Evolution # 4481: (FT) Tests Nouveau
  Evolution # 4519: (Description) How to manage priority Nouveau
Evolution # 4190: * (F) Manage quotas Nouveau
  Evolution # 4036: Quotas computing Nouveau
  Evolution # 4037: Quotas re-attribution Nouveau
  Evolution # 4369: Quotas evolution Nouveau
  Evolution # 4482: (FT) Tests Nouveau
  Evolution # 4520: (Description) How to manage Quota Nouveau
Evolution # 4192: * (F) Validate and save planning Nouveau
  Evolution # 4365: Store the reasons of rejects (create a new attribute, in shs ?) Nouveau
  Evolution # 4462: Validate Nouveau
  Evolution # 4483: (FT) Tests Nouveau
Evolution # 4193: * (F) Automatic planning updates Nouveau
  Evolution # 3625: Scheduler update Fermé
Evolution # 4194: * (F) Manual planning update Nouveau
Evolution # 4195: * (F) Scheduling operation Nouveau
  Evolution # 3651: Manage dead times Fermé
  Evolution # 4034: Do not create the execute_sequence tasks if the night isn't close Nouveau
  Evolution # 4031: Change system to determine night start & end Nouveau
  Evolution # 4039: At the end of scheduling, send the schedule to the IC ? Nouveau
  Evolution # 3975: Get night start & end Nouveau
  Evolution # 4364: Change the system to determine night start/end (they must be given in... Nouveau
  Evolution # 4484: (FT) Tests Nouveau
Evolution # 4213: * (F) Scheduler VIEW (web page) Nouveau
  Evolution # 4278: Display a schedule Nouveau
    Evolution # 4178: Link alert sequences to their Request in the Alert manager Nouveau
    Evolution # 4028: Link user's sequences to their Request in the routine manager Nouveau
  Evolution # 4279: Display general view template Nouveau
  Evolution # 4280: Buttons to browse previous schedules Nouveau
  Evolution # 4281: Display current schedule, refreshed every N seconds, with current Tim... Nouveau
  Evolution # 4030: Give access to rejected sequences of a schedule, and the reasons of r... Nouveau
  Evolution # 4342: Eviter que la vue du Scheduler s'affiche avec une erreur (IndexError)... Nouveau
  Anomalie # 4343: Affichage d'un schedule : pour chaque ligne (séquence), ajouter une co... Nouveau
  Evolution # 4360: Link the main page to the current schedule instead of the simulation ... Nouveau
  Evolution # 4361: Show user sequences in the schedules (with links) Nouveau
  Evolution # 4362: Give accces to old schedules (day / days before / all end-night plann... Nouveau
  Evolution # 4370: Blank space filling Nouveau
  Evolution # 4485: (FT) Tests Nouveau
  Evolution # 4505: Add column "Observatory status" for the planning Nouveau
  Evolution # 4507: N'afficher que la fenêtre de temps actuelle (mais on doit pouvoir scr... Nouveau
  Evolution # 4508: Remplacer EXECUTED par COMPLETED, EXECUTED (partial) par INTERRUPTED,... Nouveau
  Evolution # 4509: Il faudrait une page qui montre toutes les séquences rejetées et exéc... Nouveau
  Evolution # 4767: Automatic refresh for scheduling view Nouveau
  Evolution # 4768: Debug and make scheduler compatible for short simulations Nouveau
Evolution # 4294: MODULE Tests Suite Nouveau
  Evolution # 3701: Add simulation to tests Fermé
Evolution # 4033: Ask AK for the 'flag' attribute Nouveau
Evolution # 4344: le rendre complètement autonome, indépendant du projet Nouveau
Evolution # 4367: Do not create the execute_sequence tasks if it's not the night (- 120... Nouveau
Evolution # 4506: Heure TU (UTC) Nouveau

History
#1 - 09/12/2016 04:43 pm - Etienne Pallier
- Subject changed from (MODULE) EYES - Observation Manager to ******* (M) EYES - Observation Manager

#2 - 09/12/2016 04:45 pm - Etienne Pallier
- Subject changed from ******* (M) EYES - Observation Manager to ********** (M) EYES - Observation Manager

#3 - 09/12/2016 04:58 pm - Etienne Pallier
- Subject changed from ********** (M) EYES - Observation Manager to ******************** (M) EYES - Observation Manager

#4 - 09/12/2016 05:04 pm - Etienne Pallier
- Parent task set to #4093

#5 - 09/13/2016 11:15 am - Etienne Pallier
- Subject changed from ******************** (M) EYES - Observation Manager to ******* (M) 9.1.50 - EYES - Observation Manager *******

Executes a sequence plans one by one (as given by the Majordome)

#6 - 09/13/2016 11:31 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.50 - EYES - Observation Manager ******* to ******* (M) 9.1.60 - EYES - Observation Manager *******

#7 - 09/13/2016 11:40 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.60 - EYES - Observation Manager ******* to ******* (M) 9.1.60 - EYES (OBS) - Observation Manager *******

#8 - 09/13/2016 11:53 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.60 - EYES (OBS) - Observation Manager ******* to ******* (M) 9.1.60 - EYES (OBSERVER) - Observation 
Manager *******

#9 - 09/13/2016 11:53 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.60 - EYES (OBSERVER) - Observation Manager ******* to ******* (M) 9.1.60 - OBSERVER (EYES) - 
Observation Manager *******

#10 - 09/13/2016 11:53 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.60 - OBSERVER (EYES) - Observation Manager ******* to ******* (M) 9.1.60 - OBSERVER (EYES) - 
Observation Manager, Imager *******

#11 - 09/13/2016 03:06 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.60 - OBSERVER (EYES) - Observation Manager, Imager ******* to ******* (M) 9.1.40 - PLAN - Scheduler *******

#12 - 09/13/2016 03:16 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.40 - PLAN - Scheduler ******* to ******* (M) 09.1.40 - PLAN - Scheduler *******

#13 - 09/13/2016 03:49 pm - Etienne Pallier
- Target version set to 138

#14 - 09/14/2016 11:13 am - Etienne Pallier
- Subject changed from ******* (M) 09.1.40 - PLAN - Scheduler ******* to ******* (M) 09.1.30 - PLAN - Scheduler *******

#15 - 09/14/2016 10:41 pm - Etienne Pallier
- Subject changed from ******* (M) 09.1.30 - PLAN - Scheduler ******* to ******* (M) 09.1.30 - PLAN - Scheduler

#16 - 09/19/2016 03:59 pm - Etienne Pallier
- Subject changed from ******* (M) 09.1.30 - PLAN - Scheduler to ******* (M) 09.1.30 - SCHEDULER - PLAN

#17 - 09/23/2016 04:00 pm - Etienne Pallier
- Target version deleted (138)
